Package org.apache.sling.distribution.journal.impl.discovery

## Class TopologyViewManager

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.discovery.TopologyViewManager

    @ParametersAreNonnullByDefault
    public class TopologyViewManager
    extends Object

### Constructor Summary

Constructors
`TopologyViewManager​(long refreshTtl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TopologyView` `getCurrentView()`
`void` `refreshState​(State state)`
`protected int` `size()`
`TopologyView` `updateView()` Update the Topology view
`protected TopologyView` `updateView​(long now)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TopologyViewManager

    public TopologyViewManager​(long refreshTtl)

Parameters:
  `refreshTtl` - the time to live (in ms) for States without being refreshed.

### Method Detail

#### getCurrentView

    public TopologyView getCurrentView()

#### refreshState

    public void refreshState​(State state)

#### updateView

    public TopologyView updateView()

Update the Topology view

Returns:
  the Topology view before updating.

#### updateView

    protected TopologyView updateView​(long now)

#### size

    protected int size()